# CRP Gateway
## RELEASE NOTES 
> v1.9.10

### Upgrade Steps
* Refer to CRP Gateway Patching Guide v1.0 or above

### New Features

### Bug Fixes
* File Management
  * Fix the `Participant Code` in `CP / CRA Listing Request` should be array
  * Fix the incorrect required field checks
  * Fix incorrect date / datetime handling
* Fix when replying `(PMDS) Credit Report Download Notification`, the corresponding request may not be existing in CRP Gateway due to directly requested in **CRA's Portal**
* Fix incorrect message type for `PMDS Credit Report Processing Result Notification`
* Fix incorrectly moved the SFTP submitted file to `COMPLETED` folder when only acceptance notification is received

### Improvements
* Update display text to `Preview and Submit Change` for the Preview button in Gateway Configuration

### Other Changes
* [CUB] Use 5-digit `employeeId` when verifying the SSO Token
